* {
  box-sizing: border-box;
}

body {
  box-sizing: border-box;
  font-family: "Montserrat", sans-serif;
  margin: 0;
  background: #f2f2f2;
}

header {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
}
.head-info {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  gap: 10px;
}
nav {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: 10px;
  width: 100%;
  align-items: center;
  margin: 0;
}

ul {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
  list-style: none;
  margin: 0;
  padding: 0;
}

ul li a {
  text-decoration: none;
  color: black;
  font-size: 1.3rem;
}

nav button {
  padding: 10px 16px;
  border: none;
  border-radius: 20px;
  margin-right: 30px;
  font-weight: bold;
  font-size: 16px;
}
button {
  background: orange;
}

.hero {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  margin: 0;
  min-height: 90vh;
  padding: 20px;
}

.hero::before {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.5); /* adjust darkness */
  z-index: 1;
}

.hero h1,
.hero p,
.hero .action {
  z-index: 2;
  color: white;
}

.hero img {
  position: absolute;
  height: 100%;
  width: 100%;
  inset: 0;
  height: 100%;
  object-fit: cover;
  z-index: 0;
}

.hero-content {
  position: relative;
  z-index: 2;
  text-align: center;
  max-width: 700px;
  margin: auto;
}

.hero h1 {
  font-size: clamp(2rem, 5vw, 6rem);
  max-width: 600px;
  color: white;
}

.hero p {
  text-align: center;
  font-size: 1.2rem;
  color: white;
  line-height: 1.4;
}

.action {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 10px;
  margin-top: 20px;
  width: 100%;
  max-width: 500px;
}

.hero input {
  padding: 15px 20px;
  width: 100%;
  max-width: 400px;
  border: none;
  border-radius: 20px;
  flex: 1;
  min-width: 0;
}

.hero button {
  padding: 15px 20px;
  border: none;
  outline: none;
  border-radius: 20px;
  white-space: nowrap;
}

.featured-sec {
  display: flex;
  flex-direction: column;
  background: white;
  padding: 40px;
  width: 100%;
  margin: auto;
  padding: 40px 20px;
  gap: 40px;
}

.featured-text {
  margin: auto;
  text-align: left;
}
.featured-text h2,
.featured-text p,
.right h2,
.right p {
  max-width: 500px;
  width: 100%;
}
.featured-text button {
  padding: 15px 20px;
  border-radius: 20px;
  border: none;
  outline: none;
  font-weight: bold;
  margin-bottom: 20px;
}

.features-img {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(180px, 1fr));
  margin: auto;
  margin-top: 20px;
  width: 100%;
  gap: 15px;
  padding: 20px 35px;
}
.card {
  background: white;
  width: 100%;
  border-radius: 15px;
  box-shadow: 2px 4px 10px rgba(0, 0, 0, 0.17);
}

.card img {
  width: 100%;
  max-height: 200px;
  border-radius: 20px;
  object-fit: cover;
}
.card > p {
  font-weight: bold;
  font-size: 1rem;
  text-align: center;
}

@media (min-width: 768px) {
  .featured-sec {
    flex-direction: row;
    width: 100%;
    margin: auto;
    height: 100%;
  }

  .features-img {
    display: grid;

    width: 100%;
    flex: 1;
  }
  .featured-text {
    flex: 1;
  }
  .featured-text h2 {
    font-size: 3rem;
    width: 500px;
  }
}
.call-to {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  margin: auto;
}

.left-card {
  height: 100%;
  padding: 25px;

  margin-top: 50px;
  width: 100%;
  max-width: 500px;
  margin: auto;
  justify-content: center;
  display: flex;
  align-items: center;
}
.left-card-content {
  background: white;
  border-radius: 20px;
  max-width: 480px;
  box-shadow: 2px 4px 10px rgba(0, 0, 0, 0.18);
}
.left-card-content img {
  width: 100%;
  height: auto;
  border-radius: 20px;
  object-fit: cover;
}

.left-card-content h3 {
  margin-top: 5px;
  margin-left: 25px;
  margin-bottom: 5px;
}
.crd-info {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin-left: 25px;
  margin-top: 0;
  gap: 30px;
}
.prices {
  margin: 0;
}
.price-txt {
  margin: 0;
  margin-top: 8px;
  margin-bottom: 5px;
  color: #d3d3d3;
  font-size: 1.1rem;
}
.price-tag {
  font-weight: bold;
  color: black;
  font-size: 1.5rem;
  margin-bottom: 10px;
  margin-top: 0;
}

.right {
  max-width: 500px;
  margin-top: 30px;
}

.right h2,
.right p {
  margin: 0 auto;
  line-height: 1.5;
  max-width: 500px;
}

.right h2 {
  font-size: 2.2rem;
}

.right > p {
  font-size: 1.2rem;
  line-height: 1.6;
  margin-top: 15px;
}

.right > button {
  margin-top: 25px;
  padding: 15px 20px;
  border-radius: 20px;
  border: none;
  font-weight: bold;
}
footer {
  padding: 15px;
  background: black;
  margin-top: 30px;
}
footer p {
  text-align: center;
  color: #d3d3d3;
}
@media (min-width: 600px) {
  header {
    flex-direction: row;
    gap: 15px;
  }

  .action {
    gap: 10px;
    margin-top: 20px;
  }
}
@media (max-width: 600px) {
  .action {
    flex-direction: column;
  }
}

@media (max-width: 768px) {
  nav {
    flex-direction: column;
  }
}

@media (min-width: 768px) {
  .head-info {
    width: 250px;
  }
  .call-to {
    flex-direction: row;
    max-width: 1200px;
    width: 100%;
  }

  .left-card {
    flex: 1;
  }

  .right {
    flex: 1;
  }

  .left-card-content {
    max-width: 1100px;
    margin: auto;
  }

  .left-card-content img {
    min-width: 600px;
  }
}

@media (max-width: 1024px) {
  .featured-sec {
    flex-direction: column;
  }

  .call-to {
    display: flex;
    flex-direction: column;
  }
  .features-img {
    grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
  }
}
